#sidebar {
  overflow: hidden;
  z-index: 3;
}
#sidebar .list-group {
  min-width: 300px;
  min-height: 100vh;
}

#sidebar .list-group-item {
  border-radius: 0;
  white-space: nowrap;
}

@media (max-width:768px) {
  #sidebar {
      min-width: 35px;
      max-width: 40px;
      overflow-y: auto;
      overflow-x: visible;
      transition: all 0.25s ease;
      transform: translateX(-45px);
      position: fixed;
  }
  
  #sidebar.show {
      transform: translateX(0);
  }

  #sidebar::-webkit-scrollbar{ width: 0px; }
  
  #sidebar, #sidebar .list-group {
      min-width: 35px;
      overflow: visible;
  }
  /* overlay sub levels on small screens */
  #sidebar .list-group .collapse.show, #sidebar .list-group .collapsing {
      position: relative;
      z-index: 1;
      width: 190px;
      top: 0;
  }
  #sidebar .list-group > .list-group-item {
      text-align: center;
      padding: .75rem .5rem;
  }
  /* hide caret icons of top level when collapsed */
  #sidebar .list-group > .list-group-item[aria-expanded="true"]::after,
  #sidebar .list-group > .list-group-item[aria-expanded="false"]::after {
      display:none;
  }
}

.collapse.show {
visibility: visible;
}
.collapsing {
visibility: visible;
height: 0;
-webkit-transition-property: height, visibility;
transition-property: height, visibility;
-webkit-transition-timing-function: ease-out;
transition-timing-function: ease-out;
}
.collapsing.width {
-webkit-transition-property: width, visibility;
transition-property: width, visibility;
width: 0;
height: 100%;
-webkit-transition-timing-function: ease-out;
transition-timing-function: ease-out;
}

.break-word {
  word-wrap: break-word
}
.w-15vw {
  max-width: 15vw;
}
.w-20vw {
  max-width: 20vw;
}
.w-25vw {
  max-width: 25vw;
}
.w-30vw {
  max-width: 30vw;
}
.w-40vw {
  max-width: 40vw;
}
.w-50vw {
  max-width: 50vw;
}
.w-operations-btn {
  width: 25px;
}


.success_flash {
  animation: blinker 1s linear;
  background-color: #d4edda !important;
}
@keyframes blinker {
  50% {
      opacity: 0.6;
  }
}


.tree-view-container ul{
	padding-left: 2em;
	list-style-type: none;
}

.tree-view-container > ul:first-of-type{
	padding: 0;
}

